@echo off
rem
rem Backup copies of patch files
rem
rem Usage:
rem   CMBkup
rem
rem   notice)
rem    No parameter
rem

setlocal enabledelayedexpansion

rem	-- Folder name of patch library
set	CurrDir=%~dp0
set	PatchFolder32=For32bitOS
set	PatchFolder64=For64bitOS
rem	-- Patch archive folder, Backup folder
set	PatchArc=_PatchArc
set	PatchBkup32=_PatchBac32
set	PatchBkup64=_PatchBac64
set logfname=""
rem	-- serID, Authority
set LEVEL=""
set	USER=""
rem	-- PC Environment (32 or 64bit)
set PCXxx=""
rem	-- Destination drive
set	InstDrive=""
rem	-- CADmeister Installation Folder
set	CMDIR=""
rem	-- Error messages
set	UIDErr="Error getting user ID"
set	CMInstErr="The CADmeister is not installed."
rem **Obtain the date and time
for /f "usebackq tokens=*" %%a in (`powershell -Command "(Get-Date).AddMonths(-1).ToString('yyyy/MM/dd')"`) do @set datestring=%%a
set DATE_Y=%datestring:~0,4%
set DATE_M=%datestring:~5,2%
set DATE_D=%datestring:~8,2%
set TIME_H=%TIME:~0,2%
set TIME_M=%TIME:~3,2%
set TIME_S=%TIME:~6,2%
set Date8=%DATE_Y%%DATE_M%%DATE_D%
set Time6=%TIME_H%%TIME_M%%TIME_S%
if "%Time6:~0,1%" EQU " " set Time6=0%Time6:~1%
set DATETIME=%Date8%_%Time6%

@echo off
rem **Get Login User
	for /f "tokens=2 delims=\ " %%u in ( 'whoami' ) do (
		set USER=%%u
	)

rem **Check if PC is 32 bit or 64 bit
	if exist "%ProgramFiles(x86)%" (
		set  PCXxx=X64
	) else (
		set  PCXxx=X32
	)
rem **Get Destination Dir
	for /f "tokens=1,3" %%A in ('reg query "HKLM\SOFTWARE\Nihon Unisys Excelutions\CADMEISTER" /v INSTDIR ^|^| echo NG') do (
		if %%A equ NG (
			echo %CMInstErr%
			echo %USER%_%DATETIME% %CMInstErr%  >  %USER%_%DATETIME%.log
			endlocal
			exit /b 3
		) else (
			set  InstDrive=%%B
		)
	)

	if %PCXxx%==X32 (
	echo      %InstDrive%CRESTAM\LDM\VPS.dll                                                       				>> %USER%_%DATETIME%.log
	copy  /y  %InstDrive%CRESTAM\LDM\VPS.dll                      %CurrDir%%PatchBkup32%\CRESTAM\LDM       		>> %USER%_%DATETIME%.log
	echo      %InstDrive%CRESTAM\LDM\NWc2d.dll                                                     				>> %USER%_%DATETIME%.log
	copy  /y  %InstDrive%CRESTAM\LDM\NWc2d.dll                    %CurrDir%%PatchBkup32%\CRESTAM\LDM       		>> %USER%_%DATETIME%.log
	echo      %InstDrive%CRESTAM\CAM\CLSOLV\LDM_CM\Prfslv.exe                                             			>> %USER%_%DATETIME%.log
	copy  /y  %InstDrive%CRESTAM\CAM\CLSOLV\LDM_CM\Prfslv.exe	  %CurrDir%%PatchBkup32%\CRESTAM\CAM\CLSOLV\LDM_CM	>> %USER%_%DATETIME%.log
	echo      %InstDrive%CRESTAM\SCRIPT\LDM\n_laser\AZLSJIGPLC                                                 		>> %USER%_%DATETIME%.log
	copy  /y  %InstDrive%CRESTAM\SCRIPT\LDM\n_laser\AZLSJIGPLC	  %CurrDir%%PatchBkup32%\CRESTAM\SCRIPT\LDM\n_laser	>> %USER%_%DATETIME%.log
	echo      %InstDrive%CRESTAM\KPKG\SCRIPT\LDM\KPG_MODIFY_OBJNM                                                 		>> %USER%_%DATETIME%.log
	copy  /y  %InstDrive%CRESTAM\KPKG\SCRIPT\LDM\KPG_MODIFY_OBJNM	  %CurrDir%%PatchBkup32%\CRESTAM\KPKG\SCRIPT\LDM	>> %USER%_%DATETIME%.log

	) else if %PCXxx%==X64 (
	echo      %InstDrive%CRESTAM\LDM_x64\VPS.dll                                                   				>> %USER%_%DATETIME%.log
	copy  /y  %InstDrive%CRESTAM\LDM_x64\VPS.dll                  %CurrDir%%PatchBkup64%\CRESTAM\LDM_x64   		>> %USER%_%DATETIME%.log
	echo      %InstDrive%CRESTAM\LDM_x64\NWc2d.dll                                                				>> %USER%_%DATETIME%.log
	copy  /y  %InstDrive%CRESTAM\LDM_x64\NWc2d.dll                %CurrDir%%PatchBkup64%\CRESTAM\LDM_x64   		>> %USER%_%DATETIME%.log
	echo      %InstDrive%CRESTAM\CAM\CLSOLV\LDM_CM\Prfslv.exe                                              			>> %USER%_%DATETIME%.log
	copy  /y  %InstDrive%CRESTAM\CAM\CLSOLV\LDM_CM\Prfslv.exe	  %CurrDir%%PatchBkup64%\CRESTAM\CAM\CLSOLV\LDM_CM	>> %USER%_%DATETIME%.log
	echo      %InstDrive%CRESTAM\SCRIPT\LDM\n_laser\AZLSJIGPLC                                                 		>> %USER%_%DATETIME%.log
	copy  /y  %InstDrive%CRESTAM\SCRIPT\LDM\n_laser\AZLSJIGPLC	  %CurrDir%%PatchBkup64%\CRESTAM\SCRIPT\LDM\n_laser	>> %USER%_%DATETIME%.log
	echo      %InstDrive%CRESTAM\KPKG\SCRIPT\LDM\KPG_MODIFY_OBJNM                                                 		>> %USER%_%DATETIME%.log
	copy  /y  %InstDrive%CRESTAM\KPKG\SCRIPT\LDM\KPG_MODIFY_OBJNM	  %CurrDir%%PatchBkup64%\CRESTAM\KPKG\SCRIPT\LDM	>> %USER%_%DATETIME%.log

	echo      %InstDrive%CRESTAM\LDM\VPS.dll                                                       		>> %USER%_%DATETIME%.log
	copy  /y  %InstDrive%CRESTAM\LDM\VPS.dll                  %CurrDir%%PatchBkup64%\CRESTAM\LDM    	>> %USER%_%DATETIME%.log
	echo      %InstDrive%CRESTAM\LDM\NWc2d.dll                                                     		>> %USER%_%DATETIME%.log
	copy  /y  %InstDrive%CRESTAM\LDM\NWc2d.dll                %CurrDir%%PatchBkup64%\CRESTAM\LDM    	>> %USER%_%DATETIME%.log
	)
	exit /b %RET%

